=== debian/changelog ===
ros-foxy-rmw-gurumdds-shared-cpp (1.2.0-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.6-1focal) focal; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.5-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 22 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.4-1focal) focal; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.3-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.2-1focal) focal; urgency=high

  * Wrap up unordered_map with shared_ptr
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.1-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.1.0-1focal) focal; urgency=high

  * Modify unnecessary code
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 16 Nov 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.12-1focal) focal; urgency=high

  * Fix bug: condition of dw/dr seq delete
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.11-1focal) focal; urgency=high

  * Fix bug: condition of dw_seq delete
  * Support static discovery
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 12 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.10-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.9-1focal) focal; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 22 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.8-1focal) focal; urgency=high

  * Remove datareader listener patch
  * Remove attached waitset conditions on destructor
  * Remove unnecessary operation
  * Contributors: Kumazuma, Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.7-1focal) focal; urgency=high

  * Move handle sequence delete into right place
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.6-1focal) focal; urgency=high

  * fix typo: check namespace_ allocate
  * Update code about build error on windows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 06 May 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.5-1focal) focal; urgency=high

  * fix typo
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.4-1focal) focal; urgency=high

  * Change maintainer
  * fix typo
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 09 Mar 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.3-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.2-1focal) focal; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.1-1focal) focal; urgency=high

  * Set resource_limit explicitly
  * Fixed compile warnings
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (1.0.0-1focal) focal; urgency=high

  * MANUAL_BY_NODE liveliness is deprecated
  * Updated packages to use gurumdds-2.6
  * security_context is renamed to enclave
  * Added incompatible qos support
  * Apply one participant per context API changes
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Fixed missing string array finalization
  * Added event init functions
  * Follow changes made to rmw_topic_endpoint_info_array
  * Minor refactoring
  * Fixed some errors
  * Implemented rmw_get_publishers/subscriptions_info_by_topic()
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.2-1focal) focal; urgency=high

  * updated packages to use gurumdds-2.5
  * Contributors: hyeonwoo

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Dec 2019 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.1-1focal) focal; urgency=high

  * CoreDDS is renamed to GurumDDS
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Thu, 14 Nov 2019 15:00:00 -0000

ros-foxy-rmw-gurumdds-shared-cpp (0.8.0-1focal) focal; urgency=high

  * added gurumdds dependency to package.xml
  * refactored error handling code
  * wait for announcements after creating entities
  * fixed wrong return value
  * implemented localhost_only feature
  * added localhost_only parameter to rmw_create_node()
  * adjusted sleep time before discovery functions and fixed typos
  * now rmw_wait() can handle events properly
  * rewrote rmw_node_info_and_types
  * fixed indents
  * Implemented rmw_get_client_names_and_types_by_node()

