=== debian/control ===
Source: ros-foxy-rmw-gurumdds-shared-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-gurumdds-cmake-module, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-gurumdds-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.8, ros-foxy-ament-cmake, ros-foxy-gurumdds-cmake-module, ros-foxy-ros-workspace
Description: Code shared on static and dynamic type support of rmw_gurumdds_cpp.
